Loading...
Searching...
No Matches
ForceFields::UFF::InversionContrib Class Reference

The inversion term for the Universal Force Field. More...

`#include <Inversion.h>`

Inheritance diagram for ForceFields::UFF::InversionContrib:

## Public Member Functions

| InversionContrib ()
| InversionContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, int at2AtomicNum, bool isCBoundToO, double oobForceScalingFactor=1.0)
| Constructor.
double | getEnergy (double *pos) const override
| returns our contribution to the energy of a position
void | getGrad (double *pos, double *grad) const override
| calculates our contribution to the gradients of a position
InversionContrib * | copy () const override
| return a copy
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members

Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField

## Detailed Description

The inversion term for the Universal Force Field.

Definition at line 22 of file Inversion.h.

## Constructor & Destructor Documentation

## InversionContrib() [1/2]

ForceFields::UFF::InversionContrib::InversionContrib | ( |  | ) |

inline

Definition at line 24 of file Inversion.h.

## InversionContrib() [2/2]

ForceFields::UFF::InversionContrib::InversionContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | int | at2AtomicNum,
|  | bool | isCBoundToO,
|  | double | oobForceScalingFactor = `1.0`
| ) |  |

Constructor.

Parameters

  owner | pointer to the owning ForceField
  idx1 | index of atom1 in the ForceField's positions
  idx2 | index of atom2 in the ForceField's positions
  idx3 | index of atom3 in the ForceField's positions
  idx4 | index of atom4 in the ForceField's positions
  at2AtomicNum | atomic number for atom 2
  isCBoundToO | boolean flag; true if atom 2 is sp2 carbon bound to sp2 oxygen

## Member Function Documentation

## copy()

InversionContrib * ForceFields::UFF::InversionContrib::copy | ( |  | ) | const

inline override virtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 44 of file Inversion.h.

## getEnergy()

double ForceFields::UFF::InversionContrib::getEnergy | ( | double * | pos | ) | const

override virtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

## getGrad()

void ForceFields::UFF::InversionContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const

override virtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- Inversion.h